classification
Title: update internal libffi copy to 3.1, introducing AArch64 and POWER ELF ABIv2
Type: Stage: resolved
Components: ctypes Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, doko, koobs, meador.inge, python-dev
Priority: normal Keywords:

Created on 2014-08-09 19:53 by doko, last changed 2016-03-02 10:28 by berker.peksag. This issue is now closed.

Messages (6)
msg225109 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-08-09 19:53
tracking the import of libffi 3.1
msg225112 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-09 20:43
New changeset f73c8cf6261f by doko in branch '3.4':
- Issue #22176: Update the ctypes module's libffi to v3.1.  This release
http://hg.python.org/cpython/rev/f73c8cf6261f

New changeset 0fef0afb9d19 by doko in branch 'default':
- Issue #22176: Update the ctypes module's libffi to v3.1.  This release
http://hg.python.org/cpython/rev/0fef0afb9d19
msg225113 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-09 21:53
New changeset 269ec4c568bd by doko in branch '3.4':
- Issue #22176: Add src/x86/win32.S for x86 libffi builds.
http://hg.python.org/cpython/rev/269ec4c568bd
msg225115 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-09 22:01
New changeset 4d3f960c26f5 by doko in branch '3.4':
- Issue #22176: Fix build failure on ARM with -Werror=declaration-after-statement
http://hg.python.org/cpython/rev/4d3f960c26f5
msg225129 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-10 09:16
New changeset 4331fa01398e by doko in branch '2.7':
- Issue #22176: Update the ctypes module's libffi to v3.1.  This release
http://hg.python.org/cpython/rev/4331fa01398e
msg240190 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-04-06 21:47
Can this be closed as there are ongoing discussions about libffi, particularly with respect to bring it into the Windows external build system?  I've tried to find the relevant issue numbers but have failed, sorry :(
History
Date User Action Args
2016-03-02 10:28:42berker.peksagsetstatus: open -> closed
resolution: fixed
stage: resolved
2015-04-06 21:47:34BreamoreBoysetnosy: + BreamoreBoy
messages: + msg240190
2015-01-21 10:53:28koobssetnosy: + koobs
2014-08-10 15:58:42pitrousetnosy: + meador.inge
2014-08-10 09:16:00python-devsetmessages: + msg225129
2014-08-09 22:01:50python-devsetmessages: + msg225115
2014-08-09 21:53:59python-devsetmessages: + msg225113
2014-08-09 20:43:34python-devsetnosy: + python-dev
messages: + msg225112
2014-08-09 19:53:52dokocreate